#ifndef __MENU_H__
#define __MENU_H__


#include "civedit.h"
#include "tools.h"
#include "draw.h"
#include "settings.h"

/* the menus */
#define SEPARATOR -1 

/* the file open dialog */
extern GtkWidget *odialog;

/* the menu entry functions */
void new_file(void);
void open_file(void);
void save_file(void);
void save_file_as(void);


typedef void (* MenuFunction)(void);

typedef struct _myMenuData
 {
  char * name;
  MenuFunction func;
 } MyMenuData;

MyMenuData menu_file_names[];
MyMenuData menu_edit_names[];
MyMenuData menu_view_names[];

void create_menu(GtkWidget *widget, MyMenuData *menu);
void create_menus(GtkWidget *widget);
void open_ok(GtkWidget *widget, GtkFileSelection *fs);
void save_ok(GtkWidget *widget, GtkFileSelection *fs);
void fs_cancel(GtkWidget *widget, GtkFileSelection *fs);
/*
void do_help(GtkWidget *widet, char *);
void help_close(GtkWidget *widget, GtkWidget *);
*/


#endif /* __MENU_H__ */
